Subject: bug#50950: "(emacs) Mark" should contrast to "selecting" text in other editors

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Oct 2021 14:35:06 +0300

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sun, 17 Oct 2021 13:15:30 +0200
> 
>  > The region changes whenever point changes, so there are many other
>  > situations where it changes.  But the one you mention above is not
>  > something that will surprise users, because it happens in other apps
>  > as well, right?
> 
> I have never seen another application change the highlighted region when
> scrolling a window.  Can you name one?

Depends on how you scroll, I guess.  Applications where "point" stays
put when it goes out of the viewport need to be scrolled by moving
"point".

But if you have in mind the automatic movement of point when the
window is scrolled, then yes, it's quite unique to Emacs, but it isn't
about scrolling, it's about the fact that any movement of point
modifies the region.